<app-navigation [mainContent]="mainTemplate"></app-navigation>

<ng-template #mainTemplate class="profile-container" style="font-size: 21px">
  <div *ngIf="user.montant_en_attente_a_payer != 0 && user.montant_en_attente_a_payer != null" style="font-weight: bold; color: red; text-align: center"><mat-icon class="material-icons-outlined" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">report_problem</mat-icon> Tu as des dettes en attente, vérifie tes mails stp. <mat-icon class="material-icons-outlined" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">report_problem</mat-icon></div>
  <div style="margin-top: 5px; text-align: center; font-size: 200%; font-weight: bold">MES DETTES</div>

  <div style="font-size: 150%; text-align: center; font-weight: bold; margin-bottom: 5px; margin-top: 50px">Ce qu'on me doit</div>

  <h4 style="margin-bottom: 10px">Ajouter un montant que l'on me doit <span style="color: red">(mettre les centimes)</span> :</h4>
  <form class="formAchat" [formGroup]="receptionForm" (ngSubmit)="submitAjustementReception()">
    <div>
      <div>
        <span class="form__libelle">Je dois recevoir </span>
        <span class="form__field"><input (change)="refreshReceptionInputs()" type="number" class="form__field" style="width: 80%" formControlName="montant_reception" name="montant_reception" [(ngModel)]="montant_reception" required />€</span>
      </div>
      <mat-divider></mat-divider>
      <div>
        <span class="form__libelle">Motif de la dette </span>
        <input type="input" class="form__field" formControlName="libelle" name="libelle" required />
      </div>
      <mat-divider></mat-divider>
      <div style="text-align: center">De la part de </div>
      <div>
        <ng-container *ngFor="let endette of users_list">
          <div class="custom-form__container" *ngIf="user.semaine == 0 || endette.semaine == 0 || endette.semaine == user.semaine">
            <span class="custom-form__libelle">{{ endette.nom }} <mat-checkbox [value]="endette.id" (change)="onCheckChange($event)"></mat-checkbox></span>
            <div class="custom-form__field" *ngIf="checkIfUserInReception(endette.id)">
              <input [class.custom-input]="endette.reception.custom" (change)="inputPriceChange($event, endette.id, endette.reception.montant)" [value]="(endette.reception != null) ? endette.reception.montant : 0" type="number" value="0">
            </div>
          </div>
        </ng-container>
      </div>
    </div>
    <mat-divider></mat-divider>

    <button mat-button type="submit" style="vertical-align: super; margin-top: 10px; background-color: #673ab7; color: white; padding: 10px" cdkFocusInitial>Ajouter des dettes</button>
  </form>

  <h4 style="margin-bottom: 0" *ngIf="ajustements_reception != null && ajustements_reception.length != 0">Montants que l'on me doit <span *ngIf="ajustements_reception_total != 0.00">({{ajustements_reception_total}}€)</span> :</h4>
  <div id="reception" style="margin-top: 20px; margin-bottom: 50px" class="table-scroll" *ngIf="ajustements_reception != null && ajustements_reception.length != 0">
    <table role="table" class="main-table clone" *ngIf="ajustements_reception.length != 0">
      <thead role="rowgroup">
      <tr role="row">
        <th role="columnheader" class="fixed-side">Je dois recevoir de</th>
        <th role="columnheader">Un montant de</th>
        <th role="columnheader">Pour</th>
        <th role="columnheader"></th>
      </tr>
      </thead>
      <tbody role="rowgroup">
      <tr role="row" *ngFor="let ajustement of ajustements_reception">
        <td role="cell" class="fixed-side">{{ajustement.endette}}</td>
        <td role="cell">{{ajustement.montant}}€</td>
        <td role="cell">{{ajustement.libelle}}</td>
        <td role="cell"><button (click)="supprimerAjustement($event, ajustement.id)" mat-raised-button color="warn">Supprimer</button></td>
      </tr>

      </tbody>
    </table>

    <div class="table-wrap">
      <table class="main-table" role="table" *ngIf="ajustements_reception.length != 0">
        <thead role="rowgroup">
        <tr role="row">
          <th role="columnheader" class="fixed-side">Je dois recevoir de</th>
          <th role="columnheader">Un montant de</th>
          <th role="columnheader">Pour</th>
          <th role="columnheader"></th>
        </tr>
        </thead>
        <tbody role="rowgroup">
        <tr role="row" *ngFor="let ajustement of ajustements_reception">
          <td role="cell" class="fixed-side">{{ajustement.endette}}</td>
          <td role="cell">{{ajustement.montant}}€</td>
          <td role="cell">{{ajustement.libelle}}</td>
          <td role="cell"><button (click)="supprimerAjustement($event, ajustement.id)" mat-raised-button color="warn">Supprimer</button></td>
        </tr>

        </tbody>
      </table>

    </div>

  </div>

  <div style="font-size: 150%; text-align: center; font-weight: bold; margin-bottom: 5px; margin-top: 20px">Ce que je dois</div>

  <h4 style="margin-bottom: 10px">Ajouter un montant que je dois <span style="color: red">(mettre les centimes)</span> :</h4>

  <form class="formAchat" [formGroup]="endettementForm" (ngSubmit)="submitAjustementEndettement()">
    <div>
      <span class="form__libelle">Je dois à </span>
      <mat-select class="form__field" formControlName="receveur" required>
        <ng-container *ngFor="let receveur of users_list">
          <mat-option *ngIf="receveur.id != this.user.id && (user.semaine == 0 || receveur.semaine == 0 || receveur.semaine == user.semaine)" [value]="receveur.id">
            {{receveur.nom}}
          </mat-option>
        </ng-container>

      </mat-select>
    </div>
    <mat-divider></mat-divider>
    <div>
      <span class="form__libelle">Un montant de </span>
      <input type="number" class="form__field" formControlName="montant_endettement" name="montant_endettement" [(ngModel)]="montant_endettement" required />
    </div>
    <mat-divider></mat-divider>

    <div>
      <span class="form__libelle">Pour </span>
      <input type="input" class="form__field" formControlName="libelle" name="libelle" required />
    </div>
    <mat-divider></mat-divider>
    <button mat-button type="submit" style="vertical-align: super; margin-top: 10px; background-color: #673ab7; color: white; padding: 10px" cdkFocusInitial>Ajouter une dette</button>
  </form>

  <h4 style="margin-bottom: 0; margin-top: 50px" *ngIf="ajustements_endettement != null && ajustements_endettement.length != 0">Montants que je dois <span *ngIf="ajustements_endettement_total != 0.00">({{ajustements_endettement_total}}€)</span> :</h4>

  <div id="endettement" style="margin-top: 20px" class="table-scroll" *ngIf="ajustements_endettement != null && ajustements_endettement.length != 0">
    <table role="table" class="main-table clone" *ngIf="ajustements_endettement.length != 0">
      <thead role="rowgroup">
      <tr role="row">
        <th role="columnheader" class="fixed-side">Je dois à</th>
        <th role="columnheader">Un montant de</th>
        <th role="columnheader">Pour</th>
      </tr>
      </thead>
      <tbody role="rowgroup">
      <tr role="row" *ngFor="let ajustement of ajustements_endettement">
        <td role="cell" class="fixed-side">{{ajustement.receveur}}</td>
        <td role="cell">{{ajustement.montant}}€</td>
        <td role="cell">{{ajustement.libelle}}</td>
      </tr>

      </tbody>
    </table>

    <div class="table-wrap">
      <table role="table" class="main-table" *ngIf="ajustements_endettement.length != 0">
        <thead role="rowgroup">
        <tr role="row">
          <th role="columnheader" class="fixed-side">Je dois à</th>
          <th role="columnheader">Un montant de</th>
          <th role="columnheader">Pour</th>
        </tr>
        </thead>
        <tbody role="rowgroup">
        <tr role="row" *ngFor="let ajustement of ajustements_endettement">
          <td role="cell" class="fixed-side">{{ajustement.receveur}}</td>
          <td role="cell">{{ajustement.montant}}€</td>
          <td role="cell">{{ajustement.libelle}}</td>
        </tr>

        </tbody>
      </table>

    </div>

  </div>


</ng-template>
